Time of Update: 2018-12-03
連結:http://acm.hdu.edu.cn/showproblem.php?pid=1142http://acm.hust.edu.cn/vjudge/contest/view.action?cid=29256#problem/EA Walk Through the ForestTime Limit: 2000/1000 MS (Java/Others) Memory Limit: 65536/32768 K (Java/Others)Total Submission(s): 458
Time of Update: 2018-12-03
題目串連:http://acm.hdu.edu.cn/showproblem.php?pid=3006思路:二進位,位元運算|,來標記狀態。比如一個集合裡面出現了 2 、4、 6 ,那就用位元101010 = (十進位) 2+8+32=42 ,來記錄該集合出現過!!,由於m值 <= 14,所以最多有 1<<14 個狀態,用這些二進位之間 |
Time of Update: 2018-12-03
題意是初始化炮兵人數,然後對其進行一系列修改,最後查詢區間人數和 用一般數組做會逾時,改用線段樹#include <iostream>#include <cstdio>#include <cstring>using namespace std;int num[50050];class tree{public: int l,r,data; //data存每棵樹區間內的人數}tree[150050
Time of Update: 2018-12-03
polya定理的應用/****************************************4大類置換,共24種:設每一面從下到上,從左至右依次為123456789,每一面有標號從,比如說上面的九個點為11 12 13 14 15 16 17 18 191.不做任何旋轉:(54 + 12 + 8)=742.繞相對面中心的軸轉 (1) 90度(15 + 3 + 2) * 3 左右前後的面在變化,迴圈節為4,比如說21-31-41-51-21,總共有9個;
Time of Update: 2018-12-03
關於矩陣的經典操作1,那就是座標的變換通過二維空間或者三維空間,給定n個點,m
Time of Update: 2018-12-03
題意: (歐洲人自己寫的題面就是不一樣啊...各種吐槽...果斷還是看暈了)有向圖, 有個源叫CCS, 求從CCS到其他所有點的最短路之和, 以及從其他所有點到CCS的最短路之和.思路:返回的時候是多個源,但是因為終點只有一個,所以把所有邊反向之後, 再SPFA一次源即可.#include<cstdio>#include<vector>#include<queue>const int MAXN=1000000+10;typedef long long
Time of Update: 2018-12-03
Volume 1http://acm.hdu.edu.cn/showproblem.php?pid=1005http://acm.hdu.edu.cn/showproblem.php?pid=1014http://acm.hdu.edu.cn/showproblem.php?pid=1019Volume
Time of Update: 2018-12-03
連結:http://acm.hdu.edu.cn/showproblem.php?pid=1846http://acm.hust.edu.cn/vjudge/contest/view.action?cid=29256#problem/BBrave GameTime Limit: 1000/1000 MS (Java/Others) Memory Limit: 32768/32768 K (Java/Others)Total Submission(s): 4744 Accepted
Time of Update: 2018-12-03
找出N*N範圍內可見格點的個數.只考慮下半三角形地區,可以從可見格點的產生過程發現如下規律:若橫縱座標c,r均從0開始標號,則(c,r)為可見格點 <=>r與c互質證明:若r與c有公因子1<b<min(r,c),則(c/b, r/b)線上段(0, 0)(c, r)上,則(c, r)不是可見格點.(充分性)若r與c互質,顯然線段上不存在整點,則(c,
Time of Update: 2018-12-03
練習模板//插入,刪除(一棵子樹),找第k大//遞迴 6556 kb1076 ms//非遞迴6552 kb1064 ms#include<cstdio>const int inf = ~0u>>2;///可能是右移1位的話+1就變負 而不是仍為INF,所以不太好,於是移兩位#define KT (ch[ ch[rt][1] ][0])///根節點的右兒子的左兒子,經常要被操作的那一個const int maxn = 200010;int lim;struct
Time of Update: 2018-12-03
連結:http://acm.hdu.edu.cn/showproblem.php?pid=2546http://acm.hust.edu.cn/vjudge/contest/view.action?cid=29096#problem/C飯卡Time Limit: 5000/1000 MS (Java/Others) Memory Limit: 32768/32768 K (Java/Others)Total Submission(s): 7371 Accepted
Time of Update: 2018-12-03
轉載來自:http://www.cnblogs.com/woodfish1988/archive/2007/09/10/888439.html基礎的2-D繞原點旋轉 在2-D的迪卡爾座標系中,一個位置向量的旋轉公式可以由三角函數的幾何意義推出。比如所示是位置向量R逆時針旋轉角度B前後的情況。在左圖中,我們有關係: x0 = |R| * cosA y0 = |R| * sinA => cosA = x0 / |R| sinA = y0 / |R| 在右圖中,我們有關係: x1
Time of Update: 2018-12-03
引用自:http://hi.baidu.com/aekdycoin/item/be20a91bb6cc3213e3f986d3,有改動題意:已知D, 每次從[1,D] 內的所有素數中選擇一個Ni, 如果D = 0(mod Ni), 那麼D /= Ni,否則D不變(可以看成是每一輪 D/= GCD(D,Ni) )思路:機率DP令 dp[ i ] 表示 D = i 的時候的期望, 即從i 轉移到1 的次數期望. 我們有p = kcnt[ i ] / cnt[ i ];kcnt[ i ] 表示i
Time of Update: 2018-12-03
原題串連:http://acm.hdu.edu.cn/showproblem.php?pid=1026題意: 給一個 n * m 的矩陣,X 代表牆 . 代表路,若是數字 ,則該點有 怪,需要 打怪。從求 從(0,0 )點 到 (n-1,m-1)點的用時最小的路,要輸出路徑。思路:1:求用時最小路----BFS(廣搜)+ 優先隊列; 2:在搜到一個點時對應記錄前一個點的座標!,同時 標記該點(不能再次搜到); 3:搜到終點後 從終點 一次向前
Time of Update: 2018-12-03
這種題主要就是推狀態轉移方程..推公式解析:設dp[i][j]表示(i,j)到(R,C)需要消耗的能量[這個定義很重要!]則:dp[i][j]=p1[i][j]*dp[i][j]+p2[i][j]*dp[i][j+1]+p3[i][j]*dp[i+1][j]+2;(走一步,額外消耗能量2)化簡得到:dp[i][j]=p2[i][j]*dp[i][j+1]/(1-p1[i][j])+p3[i][j]*dp[i+1][j]/(1-p1[i][j])+2/(1-p1[i][j]);注意一種情況就是p1
Time of Update: 2018-12-03
連結:http://acm.hdu.edu.cn/showproblem.php?pid=1026http://acm.hust.edu.cn/vjudge/contest/view.action?cid=29096#problem/DIgnatius and the Princess ITime Limit: 2000/1000 MS (Java/Others) Memory Limit: 65536/32768 K (Java/Others)Total Submission(s): 1
Time of Update: 2018-12-03
連結:http://poj.org/problem?id=3094http://acm.hust.edu.cn/vjudge/contest/view.action?cid=28938#problem/AQuicksumTime Limit: 1000MS Memory Limit: 65536KTotal Submissions: 12336 Accepted: 8550DescriptionA checksum is an algorithm that scans a packet of
Time of Update: 2018-12-03
原題串連:http://acm.hdu.edu.cn/showproblem.php?pid=2458題意:…………思路:反鍵邊求最小點集覆蓋key,boys+girls-key 就是答案。根據題意:反建邊後,每條邊代表的是該男孩和該女孩不認識,求的最小點集,把這些點去掉後即所有反建的邊被去掉,則剩餘的就是男女之間都相互認識。。AC代碼:#include<iostream>#include<cstdio>#include<cstring>using
Time of Update: 2018-12-03
原題串連:http://acm.hdu.edu.cn/showproblem.php?pid=4501思路:三維~~~~~AC代碼:#include<stdio.h>#include<stdlib.h>#include<iostream>#include<cstring>#include<algorithm>using namespace std;const int Max = 100 +10;const int base =
Time of Update: 2018-12-03
原題串連:http://acm.hdu.edu.cn/showproblem.php?pid=3449題意:自己看吧~~~思路一:先對箱子裡的物品進行一次01背包,然後加上箱子價格,在進行分組背包,然後TLE !!白寫了一個下午呀!!!逾時代碼:#include<stdio.h>#include<stdlib.h>#include<iostream>#include<cstring>#include<algorithm>using